Bug 435540 - Review Request: lpsk31 - A ncurses application for ham radio communications using PSK31 digital mode
Review Request: lpsk31 - A ncurses application for ham radio communications u...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 05:26 EST by Robert 'Bob' Jensen
Modified: 2008-03-03 13:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-02 17:09:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2008-03-01 05:26:08 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/lpsk31.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/lpsk31-1.1-1.fc9.src.rpm
Description: lpsk31 is a ncurses console application for ham radio communications in the popular PSK31 digital mode. lpsk31 uses only integer arithmetic for both signal detection and audio tone synthesis, so that it needs no floating point calculations for its operation. lpsk31 can keep a log of QSO's in text and ADIF format as well as a raw log of all that is typed in the transmit window or displayed in the receive window.

This package mock builds for Fedora 7, Fedora 8 and devel on i386 and x86_64. All resulting rpms are rpmlint clean.
Comment 1 Jeroen van Meeuwen 2008-03-02 09:41:42 EST
RPM Lint: OK
Package name: OK
Spec file: OK
License: OK (GPLv2+)
Actual License: OK (GPLv2+ from source)
%doc License: OK
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK (md5sum match)
Compile and Build:
 - F-7: OK
 - F-8: OK
 - rawhide: OK
 - EL-5: OK

Applicable Package Guidelines:
 - -debuginfo package: OK (~68K)
Locales: N/A
Shared libs: N/A
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: OK
%doc affecting runtime: OK
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: N/A
Library files: N/A
Devel requires base package: N/A
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

Koji build --scratch dist-f9 succeeds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=484120

APPROVED
Comment 2 Robert 'Bob' Jensen 2008-03-02 10:30:03 EST
New Package CVS Request
=======================
Package Name: lpsk31
Short Description: A ncurses application for ham radio communications using PSK31
Owners: bjensen,sconklin
Branches: F-7 F-8
InitialCC: sindgepb
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-03-02 12:17:26 EST
cvs done.
Comment 4 Fedora Update System 2008-03-02 16:59:36 EST
lpsk31-1.1-1.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-03-02 17:00:40 EST
lpsk31-1.1-1.fc7 has been submitted as an update for Fedora 7
Comment 6 Robert 'Bob' Jensen 2008-03-02 17:09:20 EST
thank you for the review
Comment 7 Fedora Update System 2008-03-03 13:22:35 EST
lpsk31-1.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-03-03 13:24:55 EST
lpsk31-1.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.